
QGIS Application - Bug report #2101

"identify" tool shows the "view feature form" instead of the normal identify window

2009-11-15 09:19 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12161

Description

Happens on both linux and windows using qgis trunk (rev. 12096), but sometimes (randomly) the standard identify windows appears. I

cannot find a pattern.

History

#1 - 2009-11-15 09:22 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to worksforme

that's intentional.  the form opens if only one feature is identified.

#2 - 2009-11-15 09:42 AM - Giovanni Manghi

I believe I expressed myself poorly. In any case configuring a bigger search radius for identifying features seems to solve the problem I reported.

I still don't understand why with a (too small) search radius the identify window does not pup ups but the form (for the same feature) does.

#3 - 2009-11-15 11:26 AM - Jürgen Fischer

Replying to [comment:2 lutra]:

I believe I expressed myself poorly. In any case configuring a bigger search radius for identifying features seems to solve the problem I reported.

I still don't understand why with a (too small) search radius the identify window does not pup ups but the form (for the same feature) does.

If you have only one feature in the search radius the form pops up and if you have more than one feature the result windows is shown.

#4 - 2009-11-15 11:33 AM - Giovanni Manghi

Ok, but what about if I want really to identify just 1 feature? If just the form pop ups, what about the actions, derived values and the chance to copy table

attributes to the clipboard?

#5 - 2009-11-15 11:58 AM - Jürgen Fischer
Replying to [comment:4 lutra]:

Ok, but what about if I want really to identify just 1 feature? If just the form pop ups, what about the actions, derived values and the chance to copy

table attributes to the clipboard?

Right, the derived values are missing.  Still the context menu was also available in the form and if the identify dialog is docked you also could see it there.

But starting with  this is configurable and by default off.  Note that this also affects the edit form that used to be opened automatically, when a single feature

was identified in editing mode.  That also doesn't happen anymore by default.

#6 - 2009-11-15 12:40 PM - Giovanni Manghi

Just perfect! Thanks a lot!

2025-04-27 2/2


